// @ts-check

/**
 * Styles and scripts are instead watched by webpack in the `assets.js` task
 */
module.exports = function watch() {
  const svgicons = require("./svgicons");
  const i18n = require("./i18n");
  const { clear } = require("./clean");
  const paths = require("../paths");
  const { watcher } = require("../utils");
  const { join, frontend } = paths;
  const { src } = frontend;

  // TODO: maybe  we could trigger a reload through wds?
  watcher(join(paths.env), true)
    .on("change", () => clear(() => true))
    .on("unlink", () =>
      console.log(`You must have an '.env' file in your root project folder`)
    );

  watcher(join(src.svgicons, "*.svg")).on("change", () => svgicons());
  watcher(src.translations).on("change", () => i18n());
};
