const paths = require("../paths");
const { isHttps } = require("../config");
const { extractDomainFromUrl, removeTrailingSlashes } = require("../utils");
const { getServerHost, getServerPort } = require("./helpers");

module.exports = {
  dev: {
    publicPath: paths.frontend.dest.relativeUrls.assets,
    writeToDisk: true, // needed for copy-webpack-plugin and images/media files
  },
  client: {
    port: getServerPort(),
  },
  headers: {
    "Access-Control-Allow-Origin": "*",
  },
  host: getServerHost(),
  port: getServerPort(),
  https: isHttps(),
  hot: true,
  firewall: [extractDomainFromUrl(process.env.APP_URL)],
  proxy: {
    "*": {
      target: removeTrailingSlashes(process.env.APP_URL), // target host
      changeOrigin: true, // needed for virtual hosted sites
    },
  },
};
